InquiryPriceCreateDisks

1. API Description

This API (InquiryPriceCreateDisks) is used to query the price of creating a disk.

circle-info

Note

Only operations on disks are supported.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

Yes

String

Availability zone ID.

diskSize

Yes

Integer

Disk size.

Unit: GB.

Value range: [20, 20000]

diskAmount

No

Integer

Quantity of disks.

Value range: [1, 50]

Default value: 1

diskCategory

No

String

Basic NVMe SSD: the Basic NVMe SSD. Standard NVMe SSD: the Standard NVMe SSD.

Default value: Standard NVMe SSD.

Call DescribeDiskCategory to obtain disk type.

Default value: Standard NVMe SSD

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

dataDiskPrice

Disk price.

4. Code Example

Query the price of creating a disk.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_PRODUCT_NOT_FOUND

Specified instance type does not exist.

404

INVALID_ZONE_NOT_FOUND

Region does not exist.

400

INVALID_DISK_CATEGORY_ZONE_NO_SELL

Disk type not for sale in the zone.

Last updated